## $Id: viewlets.py 17896 2024-08-18 15:14:57Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.interfaces import REQUESTED
from waeup.kofa.browser.viewlets import ManageActionButton
from kofacustom.udss.students.interfaces import (
    ICustomStudent,
    ICustomStudentStudyCourse, ICustomStudentStudyLevel)
from waeup.kofa.students.fileviewlets import (
    StudentFileDisplay, StudentFileUpload, StudentImage)
from waeup.kofa.students.browser import (
    StudentBaseDisplayFormPage,
    ExportPDFClearanceSlip, StudyCourseDisplayFormPage,
    StudyLevelDisplayFormPage)

from kofacustom.nigeria.interfaces import MessageFactory as _

class DashboardLinkActionButton(ManageActionButton):
    grok.order(10)
    grok.context(ICustomStudent)
    grok.view(StudentBaseDisplayFormPage)
    grok.require('waeup.viewStudent')
    icon = 'actionicon_dashboard.png'
    text = _('Open Reports Dashboard')

    @property
    def target_url(self):
        return 'https://udss.kofadata.com/Default.aspx?student_id=%s' % self.context.student_id